/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.platform.dto.attach;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：附件信息表
*
* createdate:  2021-09-28 15:44:17  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "附件信息表")
public class CpAttachAddDto implements Serializable
{
    /**
     * 主键（附件返回来的id）<br>
     */
    @ApiModelProperty(value = "主键（附件返回来的id）", required = true)
    @NotBlank(message = "附件主键不能为空")
    private String id;
    /**
     * 资源id<br>
     */
    @ApiModelProperty(value = "资源id", required = true)
    @Size(max = 32, message="资源id-resourceId: 数据长度不能 > 32" )
    @NotBlank(message = "关联资源主键不能为空")
    private String resourceId;
    /**
     * 附件名称<br>
     */
    @ApiModelProperty(value = "附件名称", required = true)
    @Size(max = 100, message="附件名称-attachName: 数据长度不能 > 300" )
    @NotBlank(message = "附件名称不能为空")
    private String attachName;
    /**
     * 顺序号<br>
     */
    @ApiModelProperty("顺序号")
    private Integer idx;

    @ApiModelProperty("是否删除已存在的")
    private Boolean isDeletedBefore = false;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }

    public String getAttachName() {
        return attachName;
    }

    public void setAttachName(String attachName) {
        this.attachName = attachName;
    }

    public Integer getIdx() {
        return idx;
    }

    public void setIdx(Integer idx) {
        this.idx = idx;
    }

    public Boolean getDeletedBefore() {
        return isDeletedBefore;
    }

    public void setDeletedBefore(Boolean deletedBefore) {
        isDeletedBefore = deletedBefore;
    }
}